Jump to content

Recommended Posts

@burt

7 hours ago, burt said:

Phoenix 1.0.1.4 

Couple of language changes that are mistakes so here are the two commits to bring you from 1.0.1.3 to 1.0.1.4;

Make sure you are on 1.0.1.3 before performing these two changes.

Many thanks @raiwa for the heads up.  @cupidare for your attention.

Apologies to all for dumb mistake.

Will you be releasing a 1.0.1.4.zip file, for those of us not Github swavy?


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites
2 hours ago, ArtcoInc said:

@burt

Will you be releasing a 1.0.1.4.zip file, for those of us not Github swavy?

No, I think it's easy enough to change from <i to <span in two places ;) 


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
7 hours ago, ArtcoInc said:

@burt

Will you be releasing a 1.0.1.4.zip file, for those of us not Github swavy?

Or were raised funny.  🤣

Dan

Share this post


Link to post
Share on other sites

Phoenix 1.0.2.0 

Special Thanks

  • to Forum members for constructive feedback and bug hunting
  • to Phoenix Club members for constructive feedback on the new Layout
  • to Language Maintainers

Notes for Language Maintainers

@cupidare DE @raiwa ES @Fredi RU

  • /includes/languages/english.php
  • /includes/languages/english/modules/boxes/bm_reviews.php

How to update

ZIP FILE, easy upload.

Find out what version you are on now;  admin > tools > version checker, then perform the necessary updates;

  • Make sure you have applied the 1.0.0.1 hotfixes
  • Make sure you have applied the 1.0.0.2 hotfixes
  • Make sure you have applied the 1.0.0.3 hotfixes
  • Make sure you have applied the 1.0.0.4 hotfixes
  • Make sure you have applied the 1.0.1.0 hotfixes
  • Make sure you have applied the 1.0.1.1 hotfixes
  • Make sure you have applied the 1.0.1.2 hotfixes
  • Make sure you have applied the 1.0.1.3 hotfixes
  • Make sure you have applied the 1.0.1.4 hotfixes

All previous hotfix zips are listed in this thread.

EG, if you are on 1.0.1.0, you must perform 1.0.1.1 hotfix to the latest listed hotfix, then;

  • Apply the 1.0.2.0 changes -> 1.0.2.0.zip
  • Read and perform the "if updating an existing phoenix" section

DOWNLOAD AND INSTALL FULL VERSION

You could simply download & install the latest full v1.0.2.0

https://github.com/gburton/Responsive-osCommerce/tree/1.0.2.0

COMMIT BY COMMIT (MANUAL CHANGES)

1.0.1.4 to 1.0.2.0:  https://github.com/gburton/CE-Phoenix/compare/1.0.1.4...1.0.2.0

WHAT IS SIMPLEST

I suggest the simplest way (assuming you are on 1.0.1.4) is to grab the 1.0.2.0 zip, unzip it, and upload the files.

If Updating an Existing Phoenix

Make sure that you have first updated fileset to 1.0.2.0 (by either manual commit, or uploading zip), then;

Install New Modules

There are no NEW modules to install

Uninstall Existing Modules

Completely turn off (uninstall) 

  • Admin > Modules > Header Tags > Grid/List Javascript

Reinstall Existing Modules

Completely TURN OFF (uninstall) and THEN TURN ON (reinstall) the following module(s);

  • Admin > Modules > Content > product_info > Also Purchased
    aka cm_pi_also_purchased
  • Admin > Modules > Content > index > New Products
    aka cm_i_card_products
  • Admin > Modules > Content > index_nested > New Products
    aka cm_in_card_products
  • Admin > Modules > Content > index_products > Product Listing
    aka cm_ip_product_listing

Delete Obsolete Files

  • includes/modules/header_tags/ht_grid_list_view.php
  • includes/languages/english/modules/header_tags/ht_grid_list_view.php

Run SQL

Some SQL needs to be run (eg in phpMyAdmin) to set up the new database entries and to update some existing database entries.  Please ensure that you have made a DB backup prior to running this (or in fact any!) SQL

Enjoy!


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

ES updated.

5 minutes ago, burt said:

Notes for Language Maintainers

@cupidare DE @raiwa ES @Fredi RU

  • /includes/languages/english.php
  • /includes/languages/english/modules/boxes/bm_reviews.php

 

There are also changes in:

- includes/languages/english/modules/content/index/cm_i_card_products.php
- includes/languages/english/modules/content/index_nested/cm_in_card_products.php

Share this post


Link to post
Share on other sites

Had a look around the demo site and maybe I'm being stupid but I couldn't see any method to change quantities of products (or even remove) at checkout.

Forgive me if I'm overlooking something.

Share this post


Link to post
Share on other sites

It seems MODULE_CONTENT_IP_PRODUCT_LISTING_CONTENT_WIDTH_EACH is missing in the install and keys functions in: includes/modules/content/index_products/cm_ip_products_listing.php

It is included in installation.sql, but missing in the module.

Share this post


Link to post
Share on other sites
2 minutes ago, raiwa said:

It seems MODULE_CONTENT_IP_PRODUCT_LISTING_CONTENT_WIDTH_EACH is missing in the install and keys functions in: includes/modules/content/index_products/cm_ip_products_listing.php

It is included in installation.sql, but missing in the module.

Should be gone from all.  


This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites
3 minutes ago, burt said:

Should be gone from all.  

Then it needs to be removed here in the module:

      $content_width  = MODULE_CONTENT_IP_PRODUCT_LISTING_CONTENT_WIDTH;
      $item_width     = MODULE_CONTENT_IP_PRODUCT_LISTING_CONTENT_WIDTH_EACH;

and in install.sql

Edited by raiwa

Share this post


Link to post
Share on other sites

1.O.2.1 cheers for heads up. thanks.

Edited by burt

This is a signature that appears on all my posts.  
IF YOU MAKE A POST REQUESTING HELP...please state the exact version
of osCommerce that you are using. THANKS

 
Get the latest Responsive osCommerce CE (community edition) here

Share this post


Link to post
Share on other sites

Thanks!  I'm just about to install on my local WampServer to try it out and will check your advice.

Share this post


Link to post
Share on other sites

Installed from the latest available download and the checkout seems to work fine on my local server.   Thanks to all for the replies.

Share this post


Link to post
Share on other sites

Hi Burt @burt, congratulations on your progress with Phoenix.

When are you going to put a special label for Phoenix addons on the market? 

Currently there is almost no addon for Phoenix and the old addon none works ... that does not motivate new and old users to migrate to this magnificent new Phoenix version.

That is very necessary to get Phoenix to get off the ground and fly.

Best regards.

Valqui

Edited by valquiria23

Share this post


Link to post
Share on other sites
4 minutes ago, valquiria23 said:

When are you going to put a special label for Phoenix addons on the market? 

It has nothing to do with Gary...Harald has a tight grip on setting that up.

Dan

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×